Bug 965832 - No password strength indicator for root password
No password strength indicator for root password
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F19-accepted/F19FinalFreezeException
  Show dependency treegraph
Reported: 2013-05-21 16:05 EDT by Mateusz Marzantowicz
Modified: 2013-06-11 23:37 EDT (History)
10 users (show)

See Also:
Fixed In Version: anaconda-19.30.3-1.fc19
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-11 23:37:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mateusz Marzantowicz 2013-05-21 16:05:17 EDT
Description of problem:
There is inconsistency in spokes used for setting root password and regular user. For non-root account there is GtkLevelBar which shows password quality. This widget is missing in password spoke.

Version-Release number of selected component (if applicable):
anaconda master

How reproducible:
Start Fedora 19 Beta RC2 installation.

Actual results:
Two different designs for equivalent functionality.

Expected results:
One consistent design: add GtkLevelBar to password spoke so password strength is checked and shown for root and non-root accounts.
Comment 1 Adam Williamson 2013-05-21 16:17:31 EDT
You also get the nice 'strength meter' for setting the encryption passphrase, if you do encryption. It does seem inconsistent for the root pw spoke not to use it.

Note that the error messages displayed when a password is insufficiently strong might need to be tweaked a bit for this change: they talk about clicking 'Done' twice, which isn't how it works with the strength meter. Since the messages are re-used for the 'user' spoke, they're already incorrect there.
Comment 2 Adam Williamson 2013-06-03 20:44:46 EDT
https://lists.fedorahosted.org/pipermail/anaconda-patches/2013-June/004372.html :

"We were inconsistent in our use of strength meters. This fixes a problem with
user entry not showing the strength before entering the confirmation password,
and it adds a strength meter to the root password entry...I think it would be nice to have these on F19."

Thus, proposing as FE for 19 Final.
Comment 3 Brian Lane 2013-06-04 20:08:00 EDT
oops, forgot there was a bug for this. fix has been pushed.
Comment 4 Adam Williamson 2013-06-05 13:51:17 EDT
Discussed at 2013-06-05 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-05/f19final-blocker-review-3.2013-06-05-16.05.log.txt . Accepted as a freeze exception issue: if anything this change will make the installer *more* rather than *less* robust by not having different methods of password creation any more, it's safer if all the bits that do it, do it the same way. And of course it improves the user experience.
Comment 5 Mukundan Ragavan 2013-06-07 13:49:42 EDT
Fixed in TC2 image. I believe it is anaconda-19.30.3-1.
Comment 6 Adam Williamson 2013-06-07 20:19:19 EDT
Yes, that is correct. Brian, could you edit the update if you have a minute? Or else we'll have to close it out manually.
Comment 7 Fedora Update System 2013-06-11 20:22:22 EDT
anaconda-19.30.3-1.fc19 has been submitted as an update for Fedora 19.
Comment 8 Fedora Update System 2013-06-11 23:37:45 EDT
anaconda-19.30.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.